%global         srcname     azure-mgmt-deploymentmanager

Name:           python-%{srcname}
Version:        0.2.0
Release:        2%{?dist}
Summary:        Microsoft Azure Deployment Manager Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

Obsoletes:      python-azure-sdk < 5.0.1

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Microsoft Azure Deployment Manager Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst HISTORY.rst


%changelog
* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:0.2.0-2
- Add epoch number for 0.2.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 0.2.0-1
- Downgrade to 0.2.0

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 1.0.0-1
- First package.
